org.springframework.data.relational.core.mapping

## Annotation Type Embedded.Empty

    @Embedded(onEmpty=USE_EMPTY)
     @Documented
     @Retention(value=RUNTIME)
     @Target(value={FIELD,METHOD})
     @Nonnull(when=NEVER)
    public static @interface Embedded.Empty

Shortcut for an empty embedded property.

     @Embedded.Empty
     private Address address;

as alternative to the more verbose

     @Embedded(onEmpty = USE_EMPTY)
     @javax.annotation.Nonnull(when = When.NEVER)
     private Address address;

Since:
  1.1
Author:
  Christoph Strobl
See Also:
  `Embedded.onEmpty()`

### Optional Element Summary

Optional Elements
`String` `prefix`

### Element Detail

#### prefix

    @AliasFor(annotation=Embedded.class,
              attribute="prefix")
    public abstract String prefix

Returns:
  prefix for columns in the embedded value object. An empty `String` by default.

Default:
  ""